Sign in Start for free

Capabilities

Ask the server to return a list of all the Capabilities (Commands and Requests) it supports

GET /api/capabilities

Response

200 — The requested list of Capabilities

  • Capabilities array of string
    list of supported Commands and Requests that this server has.

Example Response

JSON
{
  "Capabilities": [
    "string"
  ]
}

Ask the server if a single capability exists or not. If the Capability exists, an HTTP 200 (OK) will be returned. If not, a 404 (Not Found) will be returned

GET /api/capabilities/{capability}

Path Parameters

  • capability string (required)
    The capability you want to query for. Name matching is case insensitive but otherwise must be a full string match.

Response

200 — Indicates that the Capability exists

  • Exists boolean
    If true, the server has this capability and you can use it. If not, the capability is not available on this server.

Example Response

JSON
{
  "Exists": true
}